CreateExporter
Creates a exporter.
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/exporters \
--header 'Content-Type: application/json' \
--data '
{
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"spec": {
"exporter_type": "EXPORTER_TYPE_UNSPECIFIED",
"message_type_configs": [
{
"message_export_format": "MESSAGE_EXPORT_FORMAT_UNSPECIFIED",
"message_type": "MESSAGE_TYPE_UNSPECIFIED"
}
],
"wiz_config": {
"api_endpoint_url": "<string>"
}
},
"propagate": true,
"tenant_meta": {}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/exporters"
payload = {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"spec": {
"exporter_type": "EXPORTER_TYPE_UNSPECIFIED",
"message_type_configs": [
{
"message_export_format": "MESSAGE_EXPORT_FORMAT_UNSPECIFIED",
"message_type": "MESSAGE_TYPE_UNSPECIFIED"
}
],
"wiz_config": { "api_endpoint_url": "<string>" }
},
"propagate": True,
"tenant_meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
spec: {
exporter_type: 'EXPORTER_TYPE_UNSPECIFIED',
message_type_configs: [
{
message_export_format: 'MESSAGE_EXPORT_FORMAT_UNSPECIFIED',
message_type: 'MESSAGE_TYPE_UNSPECIFIED'
}
],
wiz_config: {api_endpoint_url: '<string>'}
},
propagate: true,
tenant_meta: {}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/exporters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"exporter_type": "EXPORTER_TYPE_UNSPECIFIED",
"message_type_configs": [
{
"message_export_format": "MESSAGE_EXPORT_FORMAT_UNSPECIFIED",
"message_type": "MESSAGE_TYPE_UNSPECIFIED"
}
],
"s3_config": {
"allowed_audience": "<string>",
"assume_role_arn": "<string>",
"bucket_name": "<string>",
"region": "<string>",
"object_expiry_days": 123
},
"wiz_config": {
"api_endpoint_url": "<string>",
"oauth_client_credentials": {
"client_id": "<string>",
"client_secret": "<string>",
"auth_endpoint_url": "<string>"
}
}
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
Defines a data exporter.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Indicates whether the object should be visible in the child namespaces or not.
Exporters are associated with a tenant.
Response
A successful response.
Defines a data exporter.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Indicates whether the object should be visible in the child namespaces or not.
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
The UUID of the exporter.
Was this page helpful?
